package net.educoder;

import com.alibaba.fastjson.JSONObject;
import net.educoder.util.RedisUtil;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;


/**
 * @Author: youys
 * @Date: 2022/4/6
 * @Description: redisUtil工具类测试.
 */
@SpringBootTest
public class RedisUtilTest {

    @Autowired
    private RedisUtil redisUtil;


    @Test
    public void testSet() {
        redisUtil.set("aaaaaa", "123", 30L);
        String str = (String) redisUtil.get("aaaaaa");
        System.out.println(str);

        JSONObject obj = new JSONObject();
        obj.put("123", "123");
        obj.put("456", "456");
        redisUtil.set("aaaaaa2", obj, 30L);


        JSONObject des = (JSONObject) redisUtil.get("aaaaaa2");
        System.out.println(des);


    }


    @Test
    public void testIncrement() {
        String key = "count";

//        for (int i = 0; i < 5; i++) {
//            Long increment = redisUtil.increment(key);
//            System.out.println(increment);
//        }

        redisUtil.decrement(key);
        redisUtil.decrement(key);

    }
}
