package net.educoder;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author: youys
 * @Date: 2022/4/2
 * @Description: 启动类
 */
@RestController
@SpringBootApplication
@EnableScheduling
@EnableAsync
public class AutomatedEvaluationApplication {

    public static void main(String[] args) {
        SpringApplication.run(AutomatedEvaluationApplication.class, args);
    }

    @GetMapping("/")
    public String hello() {
        return "hello";
    }
}
